<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.plugins Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.api.plugins Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/model/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/api/plugins/announce/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.api.plugins</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ApplicationPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">ApplicationPlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ApplicationPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">ApplicationPluginConvention</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/BasePlugin.html" title="class in org.gradle.api.plugins"><span class="strong">BasePlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/BasePluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">BasePluginConvention</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/GroovyBasePlugin.html" title="class in org.gradle.api.plugins"><span class="strong">GroovyBasePlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/GroovyPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">GroovyPlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/HelpTasksPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">HelpTasksPlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/JavaBasePlugin.html" title="class in org.gradle.api.plugins"><span class="strong">JavaBasePlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/JavaLibraryDistributionPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">JavaLibraryDistributionPlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/JavaLibraryPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">JavaLibraryPlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/JavaPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">JavaPlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">JavaPluginConvention</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/MavenPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">MavenPlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">MavenPluginConvention</span></a> (implements org.gradle.api.publication.maven.internal.MavenPomMetaInfoProvider)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ProjectReportsPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">ProjectReportsPlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ProjectReportsPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">ProjectReportsPluginConvention</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ReportingBasePlugin.html" title="class in org.gradle.api.plugins"><span class="strong">ReportingBasePlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/7/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="strong">Exception</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/RuntimeException.html?is-external=true" title="class or interface in java.lang"><span class="strong">RuntimeException</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/GradleException.html" title="class in org.gradle.api"><span class="strong">GradleException</span></a>
<ul>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/InvalidPluginException.html" title="class in org.gradle.api.plugins"><span class="strong">InvalidPluginException</span></a></li>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/InvalidUserDataException.html" title="class in org.gradle.api"><span class="strong">InvalidUserDataException</span></a>
<ul>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ExtraPropertiesExtension.UnknownPropertyException.html" title="class in org.gradle.api.plugins"><span class="strong">ExtraPropertiesExtension.UnknownPropertyException</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/UnknownPluginException.html" title="class in org.gradle.api.plugins"><span class="strong">UnknownPluginException</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/PluginInstantiationException.html" title="class in org.gradle.api.plugins"><span class="strong">PluginInstantiationException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/WarPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">WarPlugin</span></a> (implements org.gradle.api.<a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;T&gt;)</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/WarPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">WarPluginConvention</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/AppliedPlugin.html" title="interface in org.gradle.api.plugins"><span class="strong">AppliedPlugin</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins"><span class="strong">ExtensionAware</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ExtensionContainer.html" title="interface in org.gradle.api.plugins"><span class="strong">ExtensionContainer</span></a>
<ul>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/Convention.html" title="interface in org.gradle.api.plugins"><span class="strong">Convention</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ExtraPropertiesExtension.html" title="interface in org.gradle.api.plugins"><span class="strong">ExtraPropertiesExtension</span></a></li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Iterable</span></a>&lt;T&gt;
<ul>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><span class="strong">Collection</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api"><span class="strong">DomainObjectCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">DomainObjectSet</span></a>&lt;T&gt; (also extends java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;E&gt;)
<ul>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/PluginCollection.html" title="interface in org.gradle.api.plugins"><span class="strong">PluginCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/PluginContainer.html" title="interface in org.gradle.api.plugins"><span class="strong">PluginContainer</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util"><span class="strong">Set</span></a>&lt;E&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">DomainObjectSet</span></a>&lt;T&gt; (also extends org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/PluginCollection.html" title="interface in org.gradle.api.plugins"><span class="strong">PluginCollection</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/PluginContainer.html" title="interface in org.gradle.api.plugins"><span class="strong">PluginContainer</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/MavenRepositoryHandlerConvention.html" title="interface in org.gradle.api.plugins"><span class="strong">MavenRepositoryHandlerConvention</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ObjectConfigurationAction.html" title="interface in org.gradle.api.plugins"><span class="strong">ObjectConfigurationAction</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/PluginAware.html" title="interface in org.gradle.api.plugins"><span class="strong">PluginAware</span></a></li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/PluginManager.html" title="interface in org.gradle.api.plugins"><span class="strong">PluginManager</span></a></li>
</ul>
<h2 title="Annotation Type Hierarchy">Annotation Type Hierarchy</h2>
<ul>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/DeferredConfigurable.html" title="annotation in org.gradle.api.plugins"><span class="strong">DeferredConfigurable</span></a> (implements java.lang.annotation.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/annotation/Annotation.html?is-external=true" title="class or interface in java.lang.annotation">Annotation</a>)</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/model/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/api/plugins/announce/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
